# -*- coding: utf-8 -*-
"""
Le deuxieme_module contient les fonctions a completer :
    detection_victoire(matrice_masque)
    detection_jeu_termine(matrice_chaines)

"""



def detection_victoire(matrice_masque):
    """
    Cette fonction utilise le contenu de la matrice matrice_masque pour
    detecter un etat de victoire.

    Parameters
    ----------
    matrice_masque : TYPE liste de listes d'entiers.
        C'est la matrice de 5 lignes de 8 elements qui sont :
          0 si l'emplacement ne contient pas le dos d'une carte.
          1 si l'emplacement contient  le dos d'une carte.
            Par exemple :
               [[0, 1, 1, 1, 1, 1, 1, 1],
                [0, 1, 1, 1, 1, 1, 1, 1],
                [0, 1, 1, 1, 1, 1, 1, 1],
                [0, 1, 1, 1, 1, 1, 1, 1],
                [0, 0, 0, 1, 1, 1, 0, 0]].
        Au debut d'une nouvelle partie, toutes les cartes sont 'dos visible'.

    Returns
    -------
    victoire : TYPE booleen
        Vaut True si toutes les cartes sont 'face visible' c'est a dire que
        la matrice matrice_masque ne contient que des zeros.
        Cette variable vaut False autrement.

    """

    pass



def detection_jeu_termine(matrice_chaines):
    """
    Cette fonction utilise le contenu de la matrice matrice_chaines pour
    detecter un etat de jeu_termine. Plus precisemment, elle s'assure que
    la colonne des sept ne contient aucun 'vide' pour declarer que le jeu
    est termine.

    Parameters
    ----------
    matrice_chaines : TYPE liste de listes de listes de chaines caracteres.
        Elle contient 5 lignes et 8 colonnes.
        Elle memorise l'etat du jeu (le nom des cartes) a chaque instant.

    Returns
    -------
    resultat : TYPE booleen.
        Il vaut True lorsqu'aucun emplacement des cartes '7' n'est vide.
        Il vaut False sinon.

    """

    pass
